Codebase for paper submission: Probabilistic Hash Embeddings for Dynamic and Temporal Tabular Data

---

To reproduce the experiments of ProHDT in the paper, please make sure the required software packages listed in `requirements.txt` are installed. To install the required packages:

```
pip install -r requirements.txt
```

## Dynamic tabular data experiments

- Adult
  
  ```
  sh run_adult.sh
  ```
* Bank
  
  ```
  sh run_bank.sh
  ```

* Mushroom
  
  ```
  sh run_mushroom.sh
  ```

* CoverType 
  
  *Note the original data is large. We only keep the top 50,000 records for demonstration*
  
  ```
  sh run_covertype.sh
  ```

## Multitask, dynamic, and temporal tabular data experiments

* Retail
  
  *Note the original data is large. We only keep the top 50,000 records for demonstration*
  
  ```
  sh run_retail.sh
  ```
  
  
